### Enumeration

# Gimp TextHintStyle

unstable since: 3.0

#### Declaration

    enum Gimp.TextHintStyle

#### Description [src]

Text hint strengths.

Available since: 3.0

#### Members

`GIMP_TEXT_HINT_STYLE_NONE`

  None.

  - Value: `0`
  - Nickname: `none`
  - Available since: 3.0
`GIMP_TEXT_HINT_STYLE_SLIGHT`

  Slight.

  - Value: `1`
  - Nickname: `slight`
  - Available since: 3.0
`GIMP_TEXT_HINT_STYLE_MEDIUM`

  Medium.

  - Value: `2`
  - Nickname: `medium`
  - Available since: 3.0
`GIMP_TEXT_HINT_STYLE_FULL`

  Full.

  - Value: `3`
  - Nickname: `full`
  - Available since: 3.0